WordPress.org

Ready to get started?Download WordPress

Forums

Duplicator
[resolved] wordpress update (14 posts)

  1. majesticnet
    Member
    Posted 3 months ago #

    If I choose not to update wordpress to 3.8.3, does my duplicator still work on 3.8.2? All I've been getting today is internal server errors.

    https://wordpress.org/plugins/duplicator/

  2. Cory Lamle
    Member
    Plugin Author

    Posted 3 months ago #

    Hey @majesticnet,

    I have tested on a few different hosts and locally without any issues on 3.8.3. You can always try the latest version. The very latest Developer version (0.5.3) can be found by following these instructions:

    -> Browse to http://wordpress.org/extend/plugins/duplicator/developers/
    -> Look for the section "Other Versions"
    -> Click on "Development Version" and download the zip plugin file
    -> Uninstall your current version and install this one
    -> Note: This is a development line version so please test in your sandbox first to make sure you have no issues...

    Let me know if this solves your issue...

    Thanks

  3. majesticnet
    Member
    Posted 3 months ago #

    The issue is that I'm not on 3.8.3 or 3.9. I kept it at 3.8.2, does duplicator still work with 3.8.2?

  4. Cory Lamle
    Member
    Plugin Author

    Posted 3 months ago #

    Yes, it should. I had it working on several different hosts. You can submit a support ticket if you want me to look at it closer...

  5. mark.vehec
    Member
    Posted 3 months ago #

    I am running into the same problem and the issue could be related to the server. On any and all Apache servers I have tested it works fine on 3.9.

    However, in an IIS environment at work where I have 4 installs running, none can generate an installer or package from IIS.

    Not sure if you have access to a server to test this and that we can find a solution quickly.

    Thanks again for a fantastic product.

    -MAV

  6. mark.vehec
    Member
    Posted 3 months ago #

    Sorry for the duplicate but wanted to share some additional information. I was able to run Duplicator in WP 3.9 on IIS successfully in a stage environment. Although it says not to post this, here is basic header information from a backup that worked on IIS on 3.9 from the log:

    VERSION: 0.5.2
    WORDPRESS: 3.9
    PHP INFO: 5.3.24 | SAPI: cgi-fcgi
    SERVER: Microsoft-IIS/7.5
    PHP TIME LIMIT: (0) no time limit imposed
    PHP MAX MEMORY: 5000M (256M default)

    In this environment, the package creation failed on 3.9:

    VERSION: 0.5.2
    WORDPRESS: 3.9
    PHP INFO: 5.5.3 | SAPI: cgi-fcgi
    SERVER: Microsoft-IIS/7.5
    PHP TIME LIMIT: (0) no time limit imposed
    PHP MAX MEMORY: 5000M (128M default)

    Hope it helps.

    -MAV

  7. Cory Lamle
    Member
    Plugin Author

    Posted 3 months ago #

    Hey Mark,

    Thanks for the details, that data is pretty safe to post... That looks like an issue with PHP version possibly. Could you check and see if the PHP 5.5.3 works with the developer line? The very latest version (0.5.3) can be found by following these instructions:

    -> Browse to http://wordpress.org/extend/plugins/duplicator/developers/
    -> Look for the section "Other Versions"
    -> Click on "Development Version" and download the zip plugin file
    -> Uninstall your current version and install this one
    -> Note: This is a development line version so please test in your sandbox first to make sure you have no issues...

    Let me know if this solves your issue...

    Thanks

  8. mark.vehec
    Member
    Posted 3 months ago #

    Thanks for the suggestion. Unfortunately the production environment is still not working on WP 3.9 even with the 0.5.3 of Duplicator. This was the resulting log:

    VERSION: 0.5.3
    WORDPRESS: 3.9
    PHP INFO: 5.5.3 | SAPI: cgi-fcgi
    SERVER: Microsoft-IIS/7.5
    PHP TIME LIMIT: (0) no time limit imposed
    PHP MAX MEMORY: 5000M (128M default)

    *********
    DATABASE:
    *********
    BUILD MODE: PHP
    MYSQLDUMP: Not Supported
    MYSQLTIMEOUT: 5000
    TABLES: total:19 | filtered:0 | create:19

    If there is anything else I can do to help solve this, let me know. I have all diagnostics I can submit if you think creating a ticket is in order.

    -Mark

  9. mark.vehec
    Member
    Posted 3 months ago #

    On a whim, tested Duplicator on WP 3.9 on a MAMP machine running PHP 5.5.3 and it worked fine (Apache). Leaning more towards a possible IIS glitch. I really wish I had an Apache box in production but IIS is the flavor of choice at my univ. Have had other hurdles running on IIS so not surprising.

    Hope that helps.

    -Mark

  10. Cory Lamle
    Member
    Plugin Author

    Posted 3 months ago #

    That is good to know... Thanks for the update.

  11. mark.vehec
    Member
    Posted 2 months ago #

    Likely my last post on this for now. I have been able to get Duplicator to run on IIS running PHP 5.3.24 but not on IIS running 5.5.3. Only thing that indicates anything is amiss is the gear icon appears to "churn" rather than spin cleanly in the 5.5.3 space. Made a brief video of it if you are interested:

    http://www.screencast.com/t/jm66c2GO4fak

    Thanks again for a great tool. Hope a future version can address this for the installs I am running on the 5.5.3 server.

    -Mark

  12. Cory Lamle
    Member
    Plugin Author

    Posted 2 months ago #

    Hey Mark,

    Thanks for the video! The gear is just a gif so it doesn't really matter, although that is strange on how its showing... You might have to check the package log or php logs and see if there are any clues there...

  13. mark.vehec
    Member
    Posted 2 months ago #

    I would not even know what to look for if I could get at the PHP logs.

    If you do not have an IIS system for testing at your end this will likely go unresolved for the time being. I'll check back when new versions of WP or Duplicator are released to see if there are any changes that correct this.

    -Mark

  14. Cory Lamle
    Member
    Plugin Author

    Posted 2 months ago #

    Sounds good! I'll see if I can get an IIS version up... Honestly I was hoping the community would help provide some answers.

    Trying to test all the other various is almost overwhelming... Since IIS accounts for about 5% or less of the users I just haven't had the bandwidth to be honest.

    I may just pull support until I can get some volunteers to help out. Probably not the answer your looking for, but at this point I have to pick what I can support....

    Cheers~

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.